dpkg-query(1)

NAZWA
dpkg-query - narzędzie przepytywania bazy danych dpkg

SKŁADNIA
dpkg-query [opcja...] polecenie

OPIS
dpkg-query jest narzędziem służącym do pokazywania informacji o pakietach wymienionych w bazie danych dpkg.

POLECENIA

-l, --list wzorzec-nazwy-pakietu...
    Wypisuje listę pakietów o podanym wzorcu nazwy. Jeśli nie podano wzorca-nazwy-pakietu, wypisuje listę wszystkich pakietów z pliku /var/lib/dpkg/status, pomijając jednak te, które są oznaczone jako do wyczyszczenia z plików konfiguracyjnych (purge). Do wzorca-nazwy-pakietu można wpisać zwykłe operatory powtórzenia. Prawdopodobnie potrzebne będzie zacytowanie wzorca-nazwy-pakietu, aby powłoka nie rozwinęła tego wzorca. Na przykład, poniższe polecenie wypisze nazwy wszystkich pakietów zaczynających się od "libc6":
     dpkg-query -l 'libc6*'
    Format wyjścia tej opcji nie jest konfigurowalny, ale automatycznie się zmienia, dostosowując się do szerokości terminalu. Jest to przeznaczone dla ludzi i nie musi być łatwo parsowalne przez maszynę. Patrz opcje -W (--show) and --showformat, aby dowiedzieć się, jak skonfigurować format wyjścia.

-W, --show wzorzec-nazwy-pakietu...
    Zupełnie tak jak opcja --list, ta opcja wyświetli wszystkie pakiety pasujące do danego wzorca. Jednakże użytkownik może dostosować format wyjścia do swoich potrzeb za pomocą opcji --showformat. W domyślnym formacie dla każdego pasującego pakietu wyświetlana jest pojedyncza linia zawierająca jego nazwę oraz - po znaku tabulacji - zainstalowaną wersję.

-s, --status nazwa-pakietu...
    Podanie stanu pakietu o podanej nazwie. Polecenie po prostu wyświetli informacje, które znajdują się w bazie danych pakietów.

-L, --listfiles nazwa-pakietu...
    Podanie listy plików zainstalowanych z nazwy-pakietu. Jednakże pliki, które zostały utworzone przez skrypty instalacyjne pakietu, nie będą podane.

-S, --search wzorzec-wyszukiwania-nazwy-pliku...
    Szukanie pliku o podanym wzorcu pośród zainstalowanych pakietów. Wzorzec może zawierać zwykłe operatory powtórzenia. Polecenie to nie wyszuka dodatkowych plików tworzonych przez skrypty instalacyjne pakietów oraz nie wyświetli alternatyw.

-p, --print-avail nazwa-pakietu...
    Pokazanie szczegółowych informacji o nazwie-pakietu, znalezionych w pliku /var/lib/dpkg/available.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

--license, --licence
    Pokazuje informacje o licencji i prawach autorskich i kończy działanie.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-f, --showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego wypisanego pakietu. W łańcuchu formatu, “\” jest znakiem cytowania:
        \n  nowa linia
        \r  powrót karetki
        \t  tabulacja
    “\” poprzedzający jakikolwiek inny znak znosi specjalne znaczenie następującego po nim znaku, co może być przydatne dla “\” oraz “$”. Informacje o pakiecie można wyświetlać, dodając odwołania do pól pakietu, używając składni “${pole[;szerokość]}”. Pola są wyrównywane do prawej strony, chyba że szerokość jest liczbą ujemną, w którym to wypadku będzie użyte wyrównanie do lewej strony. Rozpoznawane są następujące pola:
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename
        Homepage
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status
        Suggests
        Tag
        Version
    Domyślnym formatem jest “${Package}\t${Version}\n”. Można również zażądać wszystkich pozostałych pól z pliku status (tj. pól zdefiniowanych przez użytkownika). Zostaną one wypisane w takiej postaci, w jakiej znajdują się w pliku status, nie będzie więc dokonywana żadna konwersja czy sprawdzanie błędów. Aby wyświetlić nazwę opiekuna pakietu dpkg i zainstalowaną wersję tego pakietu, można uruchomić:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ŚRODOWISKO

COLUMNS
    Zmienna ta wpływa na wyjście polecenia --list, zmieniając jego szerokość.

AUTOR
Copyright (C) 2001 Wichert Akkerman

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

ZOBACZ TAKŻE
dpkg(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008